## promod3 3.2.1+ds

=== CMakeLists.txt ===
#-------------------------------------------------------------------------------
# Author: Bienchen
#-------------------------------------------------------------------------------
# Options to CMake:
#    DISABLE_DOCUMENTATION: Don't build documentation, don't search for Sphinx
#    DISABLE_DOCTEST: Don't run example code from documentation on 'make check'
#    DISABLE_LINKCHECK: Don't test links from documentation on 'make check'
# (if documentation is disabled, there is no doctest, linkcheck at all)
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

# Set CMake policies
# Behaviour of target_link_libraries, always link by full path. CMP0060 can
# disable this to stay compatible with old projects. We want the new behaviour
# since before we needed to provide the full path ourselves, that is: we
# manually forced CMake to the new scheme.
cmake_policy(SET CMP0060 NEW)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake_support)
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

project(ProMod3 CXX C)

include(PROMOD3)

# versioning info
set(PROMOD3_VERSION_MAJOR 3)
set(PROMOD3_VERSION_MINOR 2)
set(PROMOD3_VERSION_PATCH 1)
set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_MAJOR}.${PROMOD3_VERSION_MINOR})
set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_STRING}.${PROMOD3_VERSION_PATCH})

option(DISABLE_DOCUMENTATION "Do not build documentation" OFF)
option(DISABLE_DOCTEST "Do not check examples in documentation" OFF)
option(DISABLE_LINKCHECK "Do not check links in the documentation" OFF)

# get git info: current working branch
execute_process(
  COMMAND git rev-parse --abbrev-ref HEAD
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_BRANCH
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

# get git info: latest abbreviated commit hash of the working branch
execute_process(
  COMMAND git log -1 --format=%h
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_COMMIT_HASH
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

# set PM3_RUNTIME_PROFILING_LEVEL
if(NOT PM3_RUNTIME_PROFILING_LEVEL)
  set(PM3_RUNTIME_PROFILING_LEVEL 0)
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
  exec_program(gcc ARGS --version OUTPUT_VARIABLE CMAKE_C_COMPILER_VERSION)
  if(CMAKE_C_COMPILER_VERSION MATCHES ".*4\\.[5-9].*")
    set(PROMOD_GCC_45 true)
  else()
    set(PROMOD_GCC_45 false)  
  endif()
endif()

if(OPTIMIZE)
  set(CMAKE_BUILD_TYPE Release)
  set(_OPT ON)
else()
   set(CMAKE_BUILD_TYPE Debug)
   set(_OPT OFF)
endif()

if(ENABLE_SSE)
  set(_ENABLE_SSE 1)
else()
  set(_ENABLE_SSE 0)
endif()

setup_stage()
file(MAKE_DIRECTORY ${STAGE_DIR}
     ${EXECUTABLE_OUTPUT_PATH}
     ${HEADER_STAGE_PATH}
     ${LIB_STAGE_PATH}
     ${LIBEXEC_STAGE_PATH})

setup_compiler_flags()

# Python needed before Boost
find_package(Python 3.6 REQUIRED COMPONENTS Interpreter Development)
# Split version string
string(REPLACE "." ";" _python_version_list ${Python_VERSION})
list(GET _python_version_list 0 Python_VERSION_MAJOR)
list(GET _python_version_list 1 Python_VERSION_MINOR)
# where Python modules live
set(PYTHON_MODULE_PATH "python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/site-packages/")

setup_boost()

if(NOT DISABLE_DOCUMENTATION)
  find_package(Sphinx REQUIRED)
  set(PYTHON_DOC_URL "https://docs.python.org/${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}")
  # this URL should always point to the latest version of OST
  set(OST_DOC_URL "https://www.openstructure.org/docs")
endif()
find_package(OPENSTRUCTURE 2.3.0 REQUIRED
             COMPONENTS io mol seq seq_alg mol_alg conop img mol_mm)

if(CMAKE_COMPILER_IS_GNUCXX)
  # do not write back into cache, otherwise the compile command line gets
  # expanded with multiple -fno-strict-aliasing flags, triggering a complete
  # rebuild whenever cmake is run
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -fno-strict-aliasing")
  if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_GREATER "4.6")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-attributes")
  endif("${CMAKE_CXX_COMPILER_VERSION}" VERSION_GREATER "4.6")
endif()

# additional packages/ headers/ etc.
#  Eigen3 is mandatory right now but may vanish once OST switches to the same
#  version.
find_package(Eigen3 3.3.0 REQUIRED)
if(NOT EIGEN3_FOUND)
  message(FATAL_ERROR "Eigen3 is essential for building ${PROJECT_NAME}.")
endif()

# This is somewhat experimental: Checking if Boost is compiled with the same
# Python version used for Promod3. The very same macro is disabled in OST so
# it may fail at some point.
#promod3_match_boost_python_version(${Python_LIBRARIES})

# basic environment
include_directories(${Boost_INCLUDE_DIRS}
                    ${OST_INCLUDE_DIR}
                    ${EIGEN3_INCLUDE_DIR})

set(FILES_TO_BE_REMOVED ${PROJECT_BINARY_DIR}/stage)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
                             "${FILES_TO_BE_REMOVED}")

## sub dirs to be recognised by CMake
## e.g. add_subdirectory(src), subdirs have their own CMakeLists.txt
add_subdirectory(config)
add_subdirectory(core)
add_subdirectory(loop)
add_subdirectory(scoring)
add_subdirectory(sidechain)
add_subdirectory(modelling)
add_subdirectory(scripts)
add_subdirectory(actions)
add_subdirectory(extras)
add_subdirectory(cmake_support)
if(NOT DISABLE_DOCUMENTATION)
  add_changelog_to_doc(FILE "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG")
  add_license_to_doc(FILE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
  add_subdirectory(doc)
endif()

STRING(REGEX REPLACE "^\\\\+\"" "" occp ${OST_COMPOUNDS_CHEMLIB_PATH})
STRING(REGEX REPLACE "\\\\+\"$" "" occp ${occp})

## report setup
message(STATUS "${PROJECT_NAME} will be built with the following options:\n"
        "   OpenStructure (-DOST_ROOT)       : ${OST_ROOT}\n"
        "   Compound library (-DCOMPOUND_LIB): ${occp}\n"
        "   Optimized     (-DOPTIMIZE)       : ${_OPT}\n"
        "   Python                           : ${Python_EXECUTABLE}\n"
        "   Eigen3                           : ${EIGEN3_INCLUDE_DIR}\n")

=== modelling/pymod/CMakeLists.txt ===
set(MODELLING_CPP
  export_extension_scheme.cc
  export_gap.cc
  export_gap_extender.cc
  export_loop_candidate.cc
  export_loop_closure.cc
  export_model.cc
  export_monte_carlo.cc
  export_rigid_blocks.cc
  export_score_container.cc
  export_scoring_weights.cc
  export_sidechain_reconstructor.cc
  export_motif_finder.cc
  wrap_modelling.cc
)

set(MODELLING_PYMOD
  __init__.py
  _closegaps.py
  _molprobity.py
  _pipeline.py
  _ring_punches.py
  _denovo.py
  _fragger_handle.py
  _reconstruct_sidechains.py
  _monte_carlo.py
  _mhandle_helper.py
  _alignment_fiddling.py
  _raw_model.py
)

pymod(NAME modelling
      CPP ${MODELLING_CPP}
      PY ${MODELLING_PYMOD}
      DEPENDS_ON _core _loop _sidechain _scoring)

=== modelling/src/CMakeLists.txt ===
set(MODELLING_SOURCES
  extension_scheme.cc
  gap.cc
  gap_extender.cc
  model.cc
  all_atom_relaxer.cc
  backbone_relaxer.cc
  ccd.cc
  kic.cc
  loop_candidate.cc
  monte_carlo.cc
  monte_carlo_closer.cc
  monte_carlo_cooler.cc
  monte_carlo_sampler.cc
  monte_carlo_scorer.cc
  rigid_blocks.cc
  score_container.cc
  scoring_weights.cc
  sidechain_reconstructor.cc
  sidechain_env_listener.cc
  motif_finder.cc
)

set(MODELLING_HEADERS
  extension_scheme.hh
  gap.hh
  gap_extender.hh
  model.hh
  all_atom_relaxer.hh
  backbone_relaxer.hh
  ccd.hh
  kic.hh
  loop_candidate.hh
  monte_carlo.hh
  monte_carlo_closer.hh
  monte_carlo_cooler.hh
  monte_carlo_sampler.hh
  monte_carlo_scorer.hh
  rigid_blocks.hh
  score_container.hh
  scoring_weights.hh
  sidechain_reconstructor.hh
  sidechain_env_listener.hh
  motif_finder.hh
  robin_hood.h
)

module(NAME modelling
       HEADERS ${MODELLING_HEADERS}
       SOURCES ${MODELLING_SOURCES}
       DEPENDS_ON promod3_core promod3_loop promod3_scoring promod3_sidechain
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES})

=== modelling/tests/CMakeLists.txt ===
set(MODELLING_UNIT_TESTS
  test_close_gaps.py
  test_gap_extension.py
  test_modelling.py
  test_pipeline.py
  test_ring_punches.py
  test_sidechain_reconstruction.py
  test_alignment_fiddling.py
  test_loop_candidates.cc
  test_loop_closing.cc
  test_sidechain_reconstructor.cc
  tests.cc
)

set(MODELLING_TEST_DATA
  data/1cjx-1.fasta
  data/1cjx-1.pdb.gz
  data/1crn.fasta
  data/1CRN.pdb
  data/1crn_build.pdb
  data/1crn_cut.pdb
  data/1crn_final.pdb
  data/1crn_rec.pdb
  data/1crn_sc.pdb
  data/1crn_sc_test.pdb
  data/1CRNA.hhm
  data/1eye.pdb
  data/1eye_rec.pdb
  data/1eye_sc_test.pdb
  data/1ITX-A-11_sidechain.pdb
  data/1K5C-A-16_clash.pdb
  data/1mcg.pdb
  data/2aoh-1_cut.pdb
  data/2aoh-1_cut_A.fasta
  data/2aoh-1_cut_B.fasta
  data/2dbs.pdb
  data/2jlp-1.fasta
  data/2jlp-1.pdb
  data/2xim-1.fasta
  data/2xim-1.pdb.gz
  data/3b08-3.pdb.gz
  data/3b08-3.fasta
  data/4nyk.pdb
  data/4R6K-A-13_sidechain.pdb
  data/4ksl-1.pdb.gz
  data/4ksl-1.fasta
  data/5d52-1.pdb
  data/5d52-1_cut.pdb
  data/5d52-1_cut_A.fasta
  data/5d52-1_cut_B.fasta
  data/CA-3cm91E.fasta
  data/CA-3cm91E.pdb
  data/cbeta.fasta
  data/cbeta.pdb
  data/compounds.chemlib
  data/del.fasta
  data/ff_NAD.dat
  data/gly.pdb
  data/gly_on_top.pdb
  data/gly_almost_on_top.pdb
  data/gly_shifted_nter.pdb
  data/hetero-punched.pdb
  data/ins.fasta
  data/modelCApartial-5tgl1A.pdb
  data/neighbor-punched.pdb
  data/port_frag_db.dat
  data/port_str_db.dat
  data/sep.fasta
  data/sep.pdb
  data/seq.fasta
  data/smtl2bl4.1.pdb
  data/ter.fasta
  data/terminal_deletion_aln.fasta
  data/double_gap_aln.fasta
)

promod3_unittest(MODULE modelling
                 SOURCES "${MODELLING_UNIT_TESTS}"
                 DATA "${MODELLING_TEST_DATA}")

=== debian/changelog ===
promod3 (3.2.1+ds-6) unstable; urgency=medium

  * Add extended descriptions for binary packages (Closes: #1022999)
  * Add debian/upstream/metadata with a reference.

 -- Andrius Merkys <merkys@debian.org>  Tue, 22 Nov 2022 02:23:18 -0500

promod3 (3.2.1+ds-5) unstable; urgency=medium

  * Adjust the build to multiarchified openstructure (Closes: #1019095)

 -- Andrius Merkys <merkys@debian.org>  Mon, 05 Sep 2022 02:57:08 -0400

promod3 (3.2.1+ds-4) unstable; urgency=medium

  * Fix issues with binary-indep build.

 -- Andrius Merkys <merkys@debian.org>  Fri, 10 Jun 2022 07:25:53 -0400

promod3 (3.2.1+ds-3) unstable; urgency=medium

  * Restore PROMOD3_EXEC_PATH for promod executable.
  * Install promod3 libexec directory.

 -- Andrius Merkys <merkys@debian.org>  Thu, 09 Jun 2022 03:26:00 -0400

promod3 (3.2.1+ds-2) unstable; urgency=medium

  * python3-promod depends on promod3-data.
  * Fix paths and name for main executable.
  * Enable optimization.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Jun 2022 01:34:47 -0400

promod3 (3.2.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #991673)

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Apr 2022 05:04:49 -0400

=== debian/control ===
Source: promod3
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libboost-python-dev,
 libboost-test-dev,
 libeigen3-dev,
 libost-base-dev,
 libost-conop-dev,
 libost-geom-dev,
 libost-img-dev,
 libost-info-dev,
 libost-io-dev,
 libost-mol-alg-dev,
 libost-mol-dev,
 libost-mol-mm-dev,
 libost-seq-alg-dev,
 libost-seq-dev,
 openstructure (>= 2.3.1-6),
 python3-dev,
 python3-ost,
Standards-Version: 4.5.1
Homepage: https://openstructure.org/promod3/
Vcs-Browser: https://salsa.debian.org/debichem-team/promod3
Vcs-Git: https://salsa.debian.org/debichem-team/promod3.git
Rules-Requires-Root: no

Package: libpromod3-core-dev
Section: libdevel
Architecture: any
Depends:
 libpromod3-core3.2 (= ${binary:Version}),
 ${misc:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains development files for ProMod3 core.

Package: libpromod3-core3.2
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains the shared library for ProMod3 core.

Package: libpromod3-loop-dev
Section: libdevel
Architecture: any
Depends:
 libpromod3-loop3.2 (= ${binary:Version}),
 ${misc:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains development files for loop handling engine.

Package: libpromod3-loop3.2
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains the shared library for loop handling engine.

Package: libpromod3-modelling-dev
Section: libdevel
Architecture: any
Depends:
 libpromod3-modelling3.2 (= ${binary:Version}),
 ${misc:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains development files for modelling engine.

Package: libpromod3-modelling3.2
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains the shared library for modelling engine.

Package: libpromod3-scoring-dev
Section: libdevel
Architecture: any
Depends:
 libpromod3-scoring3.2 (= ${binary:Version}),
 ${misc:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains development files for scoring functions.

Package: libpromod3-scoring3.2
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains the shared library for scoring functions.

Package: libpromod3-sidechain-dev
Section: libdevel
Architecture: any
Depends:
 libpromod3-sidechain3.2 (= ${binary:Version}),
 ${misc:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains development files for sidechain handling.

Package: libpromod3-sidechain3.2
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains the shared library for sidechain handling.

Package: promod3
Architecture: any
Depends:
 python3-ost,
 python3-promod3,
 ${misc:Depends},
 ${shlibs:Depends},
Description: protein homology modelling engine
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.

Package: promod3-data
Architecture: all
Depends:
 ${misc:Depends},
Description: protein homology modelling engine - data files
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains ProMod3 data files.

Package: python3-promod3
Architecture: any
Section: python
Depends:
 openstructure,
 promod3-data,
 python3-ost,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
X-Python3-Version: ${python3:Versions}
Description: protein homology modelling engine - Python 3 package
 ProMod3 is a modelling engine based on the OpenStructure computational
 structural biology framework that can perform all steps required to generate
 a protein model by homology. Its modular design aims at implementing flexible
 modelling pipelines and fast prototyping of novel algorithms.
 .
 This package contains ProMod3 Python 3 package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DOPTIMIZE=ON -DDISABLE_DOCUMENTATION=ON -DOST_ROOT=/usr -DCOMPOUND_LIB=/var/cache/openstructure/compounds.chemlib

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/bin/pm debian/tmp/usr/bin/promod # See debian/README.Debian

override_dh_install-arch:
	dh_install
	for PKG in core loop modelling scoring sidechain; do \
		dh_install -p libpromod3-$${PKG}-dev usr/include/promod3/$${PKG}; \
		dh_install -p libpromod3-$${PKG}-dev usr/lib64/libpromod3_$${PKG}.so   usr/lib/${DEB_HOST_MULTIARCH}; \
		dh_install -p libpromod3-$${PKG}3.2  usr/lib64/libpromod3_$${PKG}.so.* usr/lib/${DEB_HOST_MULTIARCH}; \
	done

override_dh_install-indep:
	dh_install
	rm -rf debian/tmp/usr/include/promod3 debian/tmp/usr/lib64

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/g,repack,repacksuffix=+ds,dversionmangle=auto \
https://git.scicore.unibas.ch/schwede/ProMod3/-/tags \
 (?:.*?/)?ProMod3-(\d[\d.]*(?:-rc)?)\.tar\.gz

## promod3 3.3.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 # versioning info
 set(PROMOD3_VERSION_MAJOR 3)
-set(PROMOD3_VERSION_MINOR 2)
+set(PROMOD3_VERSION_MINOR 3)
 set(PROMOD3_VERSION_PATCH 1)
 set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_MAJOR}.${PROMOD3_VERSION_MINOR})
 set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_STRING}.${PROMOD3_VERSION_PATCH})
@@ -103,7 +103,7 @@
   # this URL should always point to the latest version of OST
   set(OST_DOC_URL "https://www.openstructure.org/docs")
 endif()
-find_package(OPENSTRUCTURE 2.3.0 REQUIRED
+find_package(OPENSTRUCTURE 2.5.0 REQUIRED
              COMPONENTS io mol seq seq_alg mol_alg conop img mol_mm)
 
 if(CMAKE_COMPILER_IS_GNUCXX)

=== debian/changelog ===
promod3 (3.3.1+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 25 Jul 2023 03:54:25 -0400

promod3 (3.3.1+ds-1~exp) experimental; urgency=medium

  * New upstream release 3.3.1+ds.
  * Bump copyright years.
  * Move bin:promod3 to arch:all.
  * Adjust binary package names.
  * Remove the empty ${python3:Provides} for bin:promod3.
  * bin:promod3 depends on ${python3:Depends} and python3.

 -- Andrius Merkys <merkys@debian.org>  Wed, 19 Jul 2023 02:34:20 -0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  libost-mol-mm-dev,
  libost-seq-alg-dev,
  libost-seq-dev,
- openstructure (>= 2.3.1-6),
+ openstructure (>= 2.5.0),
  python3-dev,
  python3-ost,
 Standards-Version: 4.5.1
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-core3.2 (= ${binary:Version}),
+ libpromod3-core3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -48,7 +48,7 @@
  .
  This package contains development files for ProMod3 core.
 
-Package: libpromod3-core3.2
+Package: libpromod3-core3.3
 Architecture: any
 Section: libs
 Depends:
@@ -66,7 +66,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-loop3.2 (= ${binary:Version}),
+ libpromod3-loop3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -76,7 +76,7 @@
  .
  This package contains development files for loop handling engine.
 
-Package: libpromod3-loop3.2
+Package: libpromod3-loop3.3
 Architecture: any
 Section: libs
 Depends:
@@ -94,7 +94,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-modelling3.2 (= ${binary:Version}),
+ libpromod3-modelling3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -104,7 +104,7 @@
  .
  This package contains development files for modelling engine.
 
-Package: libpromod3-modelling3.2
+Package: libpromod3-modelling3.3
 Architecture: any
 Section: libs
 Depends:
@@ -122,7 +122,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-scoring3.2 (= ${binary:Version}),
+ libpromod3-scoring3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -132,7 +132,7 @@
  .
  This package contains development files for scoring functions.
 
-Package: libpromod3-scoring3.2
+Package: libpromod3-scoring3.3
 Architecture: any
 Section: libs
 Depends:
@@ -150,7 +150,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-sidechain3.2 (= ${binary:Version}),
+ libpromod3-sidechain3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -160,7 +160,7 @@
  .
  This package contains development files for sidechain handling.
 
-Package: libpromod3-sidechain3.2
+Package: libpromod3-sidechain3.3
 Architecture: any
 Section: libs
 Depends:
@@ -175,12 +175,13 @@
  This package contains the shared library for sidechain handling.
 
 Package: promod3
-Architecture: any
-Depends:
+Architecture: all
+Depends:
+ python3,
  python3-ost,
  python3-promod3,
- ${misc:Depends},
- ${shlibs:Depends},
+ ${python3:Depends},
+ ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
  structural biology framework that can perform all steps required to generate
@@ -209,8 +210,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Provides:
- ${python3:Provides},
 X-Python3-Version: ${python3:Versions}
 Description: protein homology modelling engine - Python 3 package
  ProMod3 is a modelling engine based on the OpenStructure computational

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	for PKG in core loop modelling scoring sidechain; do \
 		dh_install -p libpromod3-$${PKG}-dev usr/include/promod3/$${PKG}; \
 		dh_install -p libpromod3-$${PKG}-dev usr/lib64/libpromod3_$${PKG}.so   usr/lib/${DEB_HOST_MULTIARCH}; \
-		dh_install -p libpromod3-$${PKG}3.2  usr/lib64/libpromod3_$${PKG}.so.* usr/lib/${DEB_HOST_MULTIARCH}; \
+		dh_install -p libpromod3-$${PKG}3.3  usr/lib64/libpromod3_$${PKG}.so.* usr/lib/${DEB_HOST_MULTIARCH}; \
 	done
 
 override_dh_install-indep:

## promod3 3.4.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 
 # versioning info
 set(PROMOD3_VERSION_MAJOR 3)
-set(PROMOD3_VERSION_MINOR 3)
-set(PROMOD3_VERSION_PATCH 1)
+set(PROMOD3_VERSION_MINOR 4)
+set(PROMOD3_VERSION_PATCH 0)
 set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_MAJOR}.${PROMOD3_VERSION_MINOR})
 set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_STRING}.${PROMOD3_VERSION_PATCH})
 
@@ -103,7 +103,7 @@
   # this URL should always point to the latest version of OST
   set(OST_DOC_URL "https://www.openstructure.org/docs")
 endif()
-find_package(OPENSTRUCTURE 2.5.0 REQUIRED
+find_package(OPENSTRUCTURE 2.6.0 REQUIRED
              COMPONENTS io mol seq seq_alg mol_alg conop img mol_mm)
 
 if(CMAKE_COMPILER_IS_GNUCXX)

=== debian/changelog ===
promod3 (3.4.0+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Thu, 25 Jan 2024 02:33:54 -0500

promod3 (3.4.0+ds-1~exp) experimental; urgency=medium

  * New upstream release 3.4.0+ds.
  * Drop PM3ArgParseTests.patch: integrated upstream.
  * Accommodate soversion bump.
  * Bump copyright year.

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Jan 2024 02:43:58 -0500

promod3 (3.3.1+ds-2) unstable; urgency=medium

  * Simplify debian/rules.
  * Execute tests sequentially to fix FTBFS due to dependency of test
    execution order (Closes: #1057951)

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Dec 2023 08:52:41 -0500

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-core3.3 (= ${binary:Version}),
+ libpromod3-core3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -48,7 +48,7 @@
  .
  This package contains development files for ProMod3 core.
 
-Package: libpromod3-core3.3
+Package: libpromod3-core3.4
 Architecture: any
 Section: libs
 Depends:
@@ -66,7 +66,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-loop3.3 (= ${binary:Version}),
+ libpromod3-loop3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -76,7 +76,7 @@
  .
  This package contains development files for loop handling engine.
 
-Package: libpromod3-loop3.3
+Package: libpromod3-loop3.4
 Architecture: any
 Section: libs
 Depends:
@@ -94,7 +94,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-modelling3.3 (= ${binary:Version}),
+ libpromod3-modelling3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -104,7 +104,7 @@
  .
  This package contains development files for modelling engine.
 
-Package: libpromod3-modelling3.3
+Package: libpromod3-modelling3.4
 Architecture: any
 Section: libs
 Depends:
@@ -122,7 +122,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-scoring3.3 (= ${binary:Version}),
+ libpromod3-scoring3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -132,7 +132,7 @@
  .
  This package contains development files for scoring functions.
 
-Package: libpromod3-scoring3.3
+Package: libpromod3-scoring3.4
 Architecture: any
 Section: libs
 Depends:
@@ -150,7 +150,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpromod3-sidechain3.3 (= ${binary:Version}),
+ libpromod3-sidechain3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: protein homology modelling engine
  ProMod3 is a modelling engine based on the OpenStructure computational
@@ -160,7 +160,7 @@
  .
  This package contains development files for sidechain handling.
 
-Package: libpromod3-sidechain3.3
+Package: libpromod3-sidechain3.4
 Architecture: any
 Section: libs
 Depends:

## promod3 3.4.2%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # versioning info
 set(PROMOD3_VERSION_MAJOR 3)
 set(PROMOD3_VERSION_MINOR 4)
-set(PROMOD3_VERSION_PATCH 0)
+set(PROMOD3_VERSION_PATCH 2)
 set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_MAJOR}.${PROMOD3_VERSION_MINOR})
 set(PROMOD3_VERSION_STRING ${PROMOD3_VERSION_STRING}.${PROMOD3_VERSION_PATCH})
 
@@ -103,7 +103,7 @@
   # this URL should always point to the latest version of OST
   set(OST_DOC_URL "https://www.openstructure.org/docs")
 endif()
-find_package(OPENSTRUCTURE 2.6.0 REQUIRED
+find_package(OPENSTRUCTURE 2.9.1 REQUIRED
              COMPONENTS io mol seq seq_alg mol_alg conop img mol_mm)
 
 if(CMAKE_COMPILER_IS_GNUCXX)

=== extras/sanity_checks/Makefile ===
# Copyright (c) 2013-2020, SIB - Swiss Institute of Bioinformatics and
#                          Biozentrum - University of Basel
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


########
# SETUP
########
# path to OST and ProMod3 stage
OST_ROOT = $(EBROOTOPENSTRUCTURE)
PROMOD3_ROOT = $(EBROOTPROMOD3)

# sources to compile
SOURCES = test_cpp.cc

# target filename
TARGET = test_cpp

# choose C++ compiler
CC = g++
LD = $(CC)

# set extra flags
CFLAGS = 
LDFLAGS = 
########

# set include paths
INCLUDES = -I$(OST_ROOT)/include -I$(PROMOD3_ROOT)/include
# collect libraries
LIB_DIRS = -L$(OST_ROOT)/lib64 -L$(PROMOD3_ROOT)/lib64
LIBS = -lpromod3_core -lpromod3_loop -lpromod3_modelling -lpromod3_sidechain
LIBS += -lost_io -lost_mol -lost_seq -lost_seq_alg -lost_mol_alg -lost_conop
LIBS += -lost_base -lost_geom -lost_mol_mm -lboost_system

# add rpath to find shared objects (req. gcc)
LDFLAGS += "-Wl,-rpath,$(PROMOD3_ROOT)/lib64:$(OST_ROOT)/lib64"

# setup compilation
OBJECTS := $(SOURCES:%.cc=%.o)

.DEFAULT: all;

# Default target is to compile everything
all: $(TARGET)

# run it
run: $(TARGET)
	@echo "------ RUNNING $(TARGET) ------"
	@./$(TARGET)

# final linking
$(TARGET): $(OBJECTS)
	@echo "PRODUCING $@"
	@#echo "SOURCES = $(SOURCES)"
	@#echo "OBJECTS = $(OBJECTS)"
	@#echo "---------------------"
	@$(LD) $(OBJECTS) -o $@ $(LIB_DIRS) $(LDFLAGS) $(LIBS)
	@#echo "---------------------"

%.o: %.cc
	@echo "PRODUCING $@"
	@$(CC) ${INCLUDES} $(CFLAGS) -c -o $@ $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJECTS)

=== extras/test_code/Makefile ===
########
# SETUP
########
# path to OST and ProMod3 stage
OST_ROOT = <DEFINEME>/ost/build/stage
PROMOD3_ROOT = <DEFINEME>/ProMod3/build/stage

# sources to compile
SOURCES = test.cc

# target filename
TARGET = test

# choose C++ compiler
CC = g++
LD = $(CC)

# set extra flags
CFLAGS = 
LDFLAGS = 
########

# set include paths
INCLUDES = -I$(OST_ROOT)/include -I$(PROMOD3_ROOT)/include
# collect libraries
LIB_DIRS = -L$(OST_ROOT)/lib64 -L$(PROMOD3_ROOT)/lib64
LIBS = -lpromod3_core -lpromod3_loop -lpromod3_modelling -lpromod3_sidechain
LIBS += -lost_io -lost_mol -lost_seq -lost_seq_alg -lost_mol_alg -lost_conop
LIBS += -lost_base -lost_geom -lost_mol_mm

# add rpath to find shared objects (req. gcc)
LDFLAGS += "-Wl,-rpath,$(PROMOD3_ROOT)/lib64:$(OST_ROOT)/lib64"

# setup compilation
OBJECTS := $(SOURCES:%.cc=%.o)

.DEFAULT: all;

# Default target is to compile everything
all: $(TARGET)

# run it
run: $(TARGET)
	@echo "------ RUNNING $(TARGET) ------"
	@./$(TARGET)

# final linking
$(TARGET): $(OBJECTS)
	@echo "PRODUCING $@"
	@#echo "SOURCES = $(SOURCES)"
	@#echo "OBJECTS = $(OBJECTS)"
	@#echo "---------------------"
	@$(LD) $(OBJECTS) -o $@ $(LIB_DIRS) $(LDFLAGS) $(LIBS)
	@#echo "---------------------"

%.o: %.cc
	@echo "PRODUCING $@"
	@$(CC) ${INCLUDES} $(CFLAGS) -c -o $@ $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJECTS)

## promod3 3.4.2+ds

=== core/src/CMakeLists.txt ===
set(CORE_HEADERS
  check_io.hh
  cluster.hh
  dynamic_spatial_organizer.hh
  export_helper.hh
  geom_base.hh
  geom_stems.hh
  message.hh
  portable_binary_data_sink.hh
  portable_binary_data_source.hh
  portable_binary_serializer.hh
  runtime_profiling.hh
  superpose.hh
  enumerator.hh
  graph.hh
  tree.hh
  tetrahedral_polytope.hh
  graph_minimizer.hh
  eigen_types.hh
)

set(CORE_SOURCES
  cluster.cc
  geom_base.cc
  geom_stems.cc
  superpose.cc
  graph.cc
  tree.cc
  tetrahedral_polytope.cc
  graph_minimizer.cc
)

module(NAME core HEADERS ${CORE_HEADERS} SOURCES ${CORE_SOURCES}
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES})

=== doc/tests/CMakeLists.txt ===
set(DOC_UNIT_TESTS
  test_doctests.py
)

set(DOC_TEST_DATA
  data/1AKIA.hhm
  data/1AKI.pdb
  data/1CRNA.hhm
  data/1crn_cut.pdb
  data/1crn.fasta
  data/1CRN.pdb
  data/1eye.pdb
  data/1eye_rec.pdb
  data/gly.pdb
  data/port_str_db.dat
  data/1AKE.pdb
  data/1E2Q.pdb
  data/1KO5.pdb
  data/2IYW.pdb
)

set (DOC_TEST_SCRIPTS
  scripts/action_test.py
  scripts/action_test_verbose.py

  scripts/core_pm3argparse.py
  scripts/core_msg_error.py
  scripts/core_file_checks.py

  scripts/hello_world.py
  scripts/unittest_sidechain_reconstruction.py

  scripts/loop_main.py
  scripts/loop_backbone.py
  scripts/loop_structure_db.py
  scripts/loop_frag_db.py
  scripts/loop_fragger.py
  scripts/loop_torsion_sampler.py
  scripts/loop_all_atom.py
  scripts/loop_mm_sys_creation.py

  scripts/scoring_main.py

  scripts/modelling_all.py
  scripts/modelling_steps.py
  scripts/modelling_merge_gaps_by_distance.py
  scripts/modelling_close_small_deletions.py
  scripts/modelling_fill_loops_by_database.py
  scripts/modelling_fill_loops_by_monte_carlo.py
  scripts/modelling_model_termini.py
  scripts/modelling_monte_carlo.py
  scripts/modelling_loop_candidates.py
  scripts/modelling_loop_scoring.py
  scripts/modelling_reconstruct_sidechains.py
  scripts/modelling_sidechain_reconstructor.py
  scripts/modelling_allatomrelaxer.py
  scripts/modelling_motif_finder.py

  scripts/sidechain_steps.py
)

# we add doc. test to separate target doctest (instead of codetest)
promod3_unittest(MODULE doc
  SOURCES "${DOC_UNIT_TESTS}"
  DATA "${DOC_TEST_DATA};${DOC_TEST_SCRIPTS}"
  BASE_TARGET doctest
)

# extra manual copy of test_actions.py (as it is in different folder)
copy_if_different("${CMAKE_CURRENT_SOURCE_DIR}/../../actions/tests"
  "${CMAKE_BINARY_DIR}/tests/doc/scripts" "test_actions.py"
  TARGETS "test_data_doc")

# ensure that doc is rebuilt when examples change
set(_doctest_DEPS test_data_doc)
foreach(_file ${DOC_TEST_SCRIPTS})
  list(APPEND _doctest_DEPS "${CMAKE_CURRENT_SOURCE_DIR}/${_file}")
endforeach()
set(PM3_DOC_DEPS_doctests "${_doctest_DEPS}" CACHE INTERNAL "" FORCE)

=== loop/src/CMakeLists.txt ===
set(LOOP_HEADERS
  all_atom_env.hh
  all_atom_positions.hh
  amino_acid_atoms.hh
  backbone.hh
  bb_trace_param.hh
  data_bag.hh
  dense_hash_table.hh
  dense_map.hh
  dense_map.hh
  density_creator.hh
  forcefield_lookup.hh
  frag_db.hh
  fragger.hh
  hydrogen_constructor.hh
  hydrogen_rule_lookup.hh
  idx_handler.hh
  loop_object_loader.hh
  mm_system_creator.hh
  psipred_prediction.hh
  stem_geom.hh
  structure_db.hh
  torsion_sampler.hh
  ushort_vec.hh
  sidechain_atom_rule_lookup.hh
  sidechain_atom_constructor.hh
  structure_db_custom_types.hh
)

set(LOOP_SOURCES
  all_atom_env.cc
  all_atom_positions.cc
  amino_acid_atoms.cc
  backbone.cc
  bb_trace_param.cc
  density_creator.cc
  forcefield_lookup.cc
  frag_db.cc
  fragger.cc
  hydrogen_constructor.cc
  hydrogen_rule_lookup.cc
  idx_handler.cc
  loop_object_loader.cc
  mm_system_creator.cc
  psipred_prediction.cc
  structure_db.cc
  torsion_sampler.cc
  sidechain_atom_rule_lookup.cc
  sidechain_atom_constructor.cc
)

module(NAME loop HEADERS ${LOOP_HEADERS} SOURCES ${LOOP_SOURCES}
       DEPENDS_ON promod3_core
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES} ${BOOST_IOSTREAM_LIBRARIES})

=== loop/tests/CMakeLists.txt ===
set(LOOP_UNIT_TESTS
  test_all_atom_env.cc
  test_all_atom_positions.cc
  test_amino_acid_atoms.cc
  test_backbone.cc
  test_forcefield.cc
  test_hydrogens.cc
  test_idx_handler.cc
  test_mm_system_creator.cc
  test_psipred_prediction.cc
  test_sidechain_construction.cc
  test_torsion_sampler.cc
  test_structuredb.cc
  tests.cc
)

set(LOOP_TEST_DATA
  data/1A88A.hhm
  data/1A88A.pdb
  data/1A88A_with_gap.pdb
  data/1akyA.horiz
  data/1CRN.pdb
  data/3DEFA.pdb
  data/4nyk.pdb
  data/all_aa.pdb
  data/all_aa_prot_polar_hisd.pdb
  data/all_aa_prot_polar_hise.pdb
  data/all_aa_prot_polar_hish.pdb
  data/all_aa_prot_ref.pdb
  data/CHARMM27.dat
)

promod3_unittest(MODULE loop
                 SOURCES "${LOOP_UNIT_TESTS}"
                 DATA "${LOOP_TEST_DATA}"
                 TARGET loop_data)

=== modelling/src/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
   sidechain_reconstructor.cc
   sidechain_env_listener.cc
   motif_finder.cc
+  afdb.cc
 )
 
 set(MODELLING_HEADERS
@@ -43,6 +44,7 @@
   sidechain_env_listener.hh
   motif_finder.hh
   robin_hood.h
+  afdb.hh
 )
 
 module(NAME modelling

=== scoring/data/CMakeLists.txt ===
# convert files
convert_module_data(MODULE scoring FILE cb_packing_scorer.dat
                    SCRIPT convert_binaries.py ARGS CBPackingScorer)

convert_module_data(MODULE scoring FILE cbeta_scorer.dat
                    SCRIPT convert_binaries.py ARGS CBetaScorer)

convert_module_data(MODULE scoring FILE reduced_scorer.dat
                    SCRIPT convert_binaries.py ARGS ReducedScorer)

convert_module_data(MODULE scoring FILE hbond_scorer.dat
                    SCRIPT convert_binaries.py ARGS HBondScorer)

convert_module_data(MODULE scoring FILE ss_agreement_scorer.dat
                    SCRIPT convert_binaries.py ARGS SSAgreementScorer)

convert_module_data(MODULE scoring FILE torsion_scorer.dat
                    SCRIPT convert_binaries.py ARGS TorsionScorer)

convert_module_data(MODULE scoring FILE aa_scorer.dat
                    SCRIPT convert_binaries.py ARGS AllAtomInteractionScorer)

convert_module_data(MODULE scoring FILE aa_packing_scorer.dat
                    SCRIPT convert_binaries.py ARGS AllAtomPackingScorer)

=== scoring/src/CMakeLists.txt ===
set(SCORING_HEADERS
backbone_score_base.hh
backbone_overall_scorer.hh
scoring_object_loader.hh
cbeta_env_listener.hh
cb_packing_score.hh
cbeta_score.hh
reduced_env_listener.hh
reduced_score.hh
clash_env_listener.hh
clash_score.hh
density_score.hh
hbond_env_listener.hh
hbond_score.hh
ss_agreement_score.hh
ss_agreement_env_listener.hh
torsion_score.hh
pairwise_scoring_function.hh
pairwise_score.hh
constraint_constructor.hh
all_atom_score_base.hh
all_atom_overall_scorer.hh
all_atom_interaction_env_listener.hh
all_atom_interaction_score.hh
all_atom_packing_score.hh
all_atom_clash_score.hh
scwrl3_energy_functions.hh
)

set(SCORING_SOURCES
backbone_score_base.cc
backbone_overall_scorer.cc
scoring_object_loader.cc
cbeta_env_listener.cc
cb_packing_score.cc
cbeta_score.cc
reduced_env_listener.cc
reduced_score.cc
clash_env_listener.cc
clash_score.cc
density_score.cc
hbond_env_listener.cc
hbond_score.cc
ss_agreement_score.cc
ss_agreement_env_listener.cc
torsion_score.cc
pairwise_score.cc
constraint_constructor.cc
all_atom_overall_scorer.cc
all_atom_interaction_env_listener.cc
all_atom_interaction_score.cc
all_atom_packing_score.cc
all_atom_clash_score.cc
)

module(NAME scoring
       HEADERS ${SCORING_HEADERS}
       SOURCES ${SCORING_SOURCES}
       DEPENDS_ON promod3_core promod3_loop
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES})

=== sidechain/src/CMakeLists.txt ===
set(SIDECHAIN_HEADERS
  bb_dep_rotamer_lib.hh
  disulfid.hh
  frame.hh
  rotamer_graph.hh
  particle.hh
  particle_scoring_base.hh
  particle_scoring.hh
  scwrl4_particle_scoring.hh
  scwrl3_particle_scoring.hh
  vina_particle_scoring.hh
  rotamer.hh
  rotamer_cruncher.hh
  rotamer_density.hh
  rotamer_group.hh
  rotamer_id.hh
  rotamer_lib.hh
  rotamer_lib_entry.hh
  rotamer_lib_reader.hh
  sidechain_connector.hh
  sidechain_object_loader.hh
  rotamer_constructor.hh
  rotamer_lookup.hh
  scwrl4_rotamer_constructor.hh
  scwrl3_rotamer_constructor.hh
  vina_rotamer_constructor.hh
  subrotamer_optimizer.hh
)

set(SIDECHAIN_SOURCES
  bb_dep_rotamer_lib.cc
  disulfid.cc
  frame.cc
  particle_scoring.cc
  scwrl4_particle_scoring.cc
  scwrl3_particle_scoring.cc
  vina_particle_scoring.cc
  rotamer.cc
  rotamer_cruncher.cc
  rotamer_density.cc
  rotamer_group.cc
  rotamer_id.cc
  rotamer_lib.cc
  rotamer_lib_entry.cc
  rotamer_lib_reader.cc
  sidechain_connector.cc
  sidechain_object_loader.cc
  rotamer_constructor.cc
  rotamer_lookup.cc
  scwrl4_rotamer_constructor.cc
  scwrl3_rotamer_constructor.cc
  vina_rotamer_constructor.cc
  subrotamer_optimizer.cc
)

module(NAME sidechain HEADERS ${SIDECHAIN_HEADERS} SOURCES ${SIDECHAIN_SOURCES}
	     DEPENDS_ON promod3_core promod3_loop
       LINK ${OST_LIBRARIES} ${BOOST_LIBRARIES})

=== debian/changelog ===
promod3 (3.4.2+ds-1) unstable; urgency=medium

  * New upstream release 3.4.2+ds.

 -- Andrius Merkys <merkys@debian.org>  Tue, 01 Apr 2025 05:15:30 -0400

promod3 (3.4.1+ds-1) unstable; urgency=medium

  * New upstream release 3.4.1+ds.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Dec 2024 08:49:33 -0500

promod3 (3.4.0+ds-2) unstable; urgency=medium

  * Build with openstructure/2.9.0 needs libsqlite3-dev.
  * Fix debian/watch.

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Nov 2024 03:08:03 -0500

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  libost-mol-mm-dev,
  libost-seq-alg-dev,
  libost-seq-dev,
+ libsqlite3-dev,
  openstructure (>= 2.5.0),
  python3-dev,
  python3-ost,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DOPTIMIZE=ON -DDISABLE_DOCUMENTATION=ON -DOST_ROOT=/usr -DCOMPOUND_LIB=/var/cache/openstructure/compounds.chemlib

override_dh_auto_test:
	dh_auto_test --no-parallel

execute_after_dh_auto_install:
	mv debian/tmp/usr/bin/pm debian/tmp/usr/bin/promod # See debian/README.Debian

override_dh_install-arch:
	dh_install
	for PKG in core loop modelling scoring sidechain; do \
		dh_install -p libpromod3-$${PKG}-dev usr/include/promod3/$${PKG}; \
		dh_install -p libpromod3-$${PKG}-dev usr/lib64/libpromod3_$${PKG}.so   usr/lib/${DEB_HOST_MULTIARCH}; \
		dh_install -p libpromod3-$${PKG}3.4  usr/lib64/libpromod3_$${PKG}.so.* usr/lib/${DEB_HOST_MULTIARCH}; \
	done

override_dh_install-indep:
	dh_install
	rm -rf debian/tmp/usr/include/promod3 debian/tmp/usr/lib64

## promod3 3.6.0%2Bds

=== modelling/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(pymod)
add_subdirectory(tests)
add_subdirectory(doc)

=== core/doc/CMakeLists.txt ===
set(CORE_RST
index.rst
pm3argparse.rst
helper.rst
geometry.rst
runtime_profiling.rst
setcompoundschemlib.rst
graph_minimizer.rst
)

add_doc_source(NAME core RST ${CORE_RST})

=== modelling/tests/CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,6 @@
   data/CA-3cm91E.pdb
   data/cbeta.fasta
   data/cbeta.pdb
-  data/compounds.chemlib
   data/del.fasta
   data/ff_NAD.dat
   data/gly.pdb

## promod3 3.6.0%2bds

=== core/CMakeLists.txt ===
add_subdirectory(init)
add_subdirectory(src)
add_subdirectory(pymod)
add_subdirectory(doc)
add_subdirectory(tests)

=== doc/container/CMakeLists.txt ===
set(CONTAINER_RST
  index.rst
  docker.rst
  singularity.rst
)

add_doc_source(NAME container RST ${CONTAINER_RST})
